/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.calendar-item-details {
  margin: 0 !important;
  max-width: 380px !important;
  .ant-modal-title {
    font-size: 1.8rem;
  }

  .calendar-item-details-content {
    max-height: 350px;
    overflow-y: auto;
    font-size: 1.4rem;
    line-height: 18px;
    border-bottom: 1px solid @platform-blue4;
    margin: 0 -24px -20px;
    padding-left: 24px;
    h3 {
      font-size: 1.6rem;
      padding-bottom: 15px;
      margin-bottom: 15px;
      border-bottom: 1px solid @platform-blue4;
    }
    dl {
      margin-bottom: 0;
      dt {
        margin-bottom: 10px;
      }
      dd {
        padding-bottom: 15px;
        margin-top: 15px;
        border-bottom: 1px solid @platform-blue4;
        &:last-child {
          border: none;
        }
        svg {
          vertical-align: middle;
          margin-right: 10px;
        }
        .property-item {
          margin: 5px 0;
          .hinweis-component {
            font-size: 1.4rem;
            line-height: 18px;
            width: auto;
            margin: 0 0 0 -24px;
            padding: 10px 24px;
            .hinweis-title {
              margin-bottom: 10px;
              display: block;
              padding-left: 25px;
              position: relative;
              svg {
                vertical-align: top;
                position: absolute;
                left: -2px;
                top: 0;
              }
            }
            .hinweis-content {
              &.has-mode {
                padding-left: 0;
              }
            }
          }
        }
      }
    }
  }
  .ant-modal-footer {
    text-align-last: left;
    border: 0;
    padding-left: 24px;
    padding-right: 24px;
    a {
      text-decoration: none;
    }
  }

  .ant-modal-header {
    border: 0;
  }
  .modal-title {
    display: flex;
    padding-right: 30px;
    .title-text {
      flex-grow: 1;
    }
    .ant-btn {
      svg {
        width: 20px;
        height: 20px;
      }
    }
  }
  &.external-calendar-item-details {
    .calendar-item-details-content {
      border-bottom: none;
    }
  }
}
